MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024219Community[OCCT] OCCT:Meshpublic2013-10-01 17:102014-11-11 12:52
ReporterTimo 
Assigned Toapn 
PrioritynormalSeveritytweak 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.6.0 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0024219: Strange if-statement in BrepMesh_IncrementalMesh
DescriptionIn BRepMesh_IncrementalMesh::Update(const TopoDS_Face& F) there is the following if-statement:

 if ((!myRelative && T->Deflection() <= 1.1*defface) ||
        (myRelative && T->Deflection() <= 1.1*defface))

Shouldn't it be simplified to:

 if (T->Deflection() <= 1.1*defface)


TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0025828)
Timo (developer)
2013-10-01 17:56

A similar if-statement occurs in BRepMesh_IncrementalMesh::Update(const TopoDS_Edge& E)


if ((!myRelative && Poly->Deflection() <= 1.1*defedge) ||
     (myRelative && Poly->Deflection() <= 1.1*defedge))
(0029403)
azn (developer)
2014-05-20 09:25

Change pushed to CR24219, please review.
(0029404)
abv (manager)
2014-05-20 09:37

Alexander, as you decided to improve code formatting, please also translate French comments found in that file to English
(0029424)
azn (developer)
2014-05-21 10:07

Fixed. Please check.
(0029425)
abv (manager)
2014-05-21 10:27

Reviewed, please test
(0029524)
apn (administrator)
2014-05-26 18:51
edited on: 2014-05-26 18:51

Dear BugMaster,

Branch CR24219 (and products from GIT master) was compiled on Linux, Windows and MacOS platforms and tested.
SHA-1: 1c0656fbd4783698fc944ecef01d5f60d7829030

Number of compiler warnings:

occt component :
Linux: 17 (17 on master)
Windows: 0 (0 on master)
MacOS: 202 (205 on master)

products component :
Linux: 11 (11 on master)
Windows: 2 (2 on master)

Regressions/Differences:
No regressions

Testing case:
Not needed

Testing on Linux:
Total MEMORY difference: 356721844 / 357326856
Total CPU difference: 62020.18999999979 / 56363.43999999993

Testing on Windows:
Total MEMORY difference: 379292832 / 379613888
Total CPU difference: 39599.625 / 35503.203125

There are no differences in images found by testdiff.


- Related Changesets
occt: master ab58a62b
Timestamp: 2014-05-29 11:08:29
Author: azn
Committer: apn
Details ] Diff ]
0024219: Strange if-statement in BrepMesh_IncrementalMesh

Simplifying if-statement in the Update(const TopoDS_Face& F) and Update(const TopoDS_Edge& F) methods from BrepMesh_IncrementalMesh class.
Translating French comment to English.
mod - src/BRepMesh/BRepMesh_IncrementalMesh.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2013-10-01 17:10 Timo New Issue
2013-10-01 17:10 Timo Assigned To => oan
2013-10-01 17:56 Timo Note Added: 0025828
2013-12-21 10:13 abv Target Version 6.7.0 => 6.7.1
2014-04-04 18:27 abv Target Version 6.7.1 => 6.8.0
2014-05-19 10:32 abv Assigned To oan => azn
2014-05-19 10:32 abv Status new => assigned
2014-05-20 09:25 azn Assigned To azn => oan
2014-05-20 09:25 azn Note Added: 0029403
2014-05-20 09:25 azn Status assigned => resolved
2014-05-20 09:37 abv Note Added: 0029404
2014-05-20 09:37 abv Assigned To oan => azn
2014-05-20 09:37 abv Status resolved => assigned
2014-05-21 10:07 azn Note Added: 0029424
2014-05-21 10:08 azn Assigned To azn => abv
2014-05-21 10:08 azn Status assigned => resolved
2014-05-21 10:27 abv Note Added: 0029425
2014-05-21 10:27 abv Assigned To abv => bugmaster
2014-05-21 10:27 abv Status resolved => reviewed
2014-05-22 11:06 bugmaster Assigned To bugmaster => apn
2014-05-26 18:51 apn Note Added: 0029524
2014-05-26 18:51 apn Note Edited: 0029524 View Revisions
2014-05-26 18:52 apn Test case number => Not needed
2014-05-26 18:52 apn Assigned To apn => bugmaster
2014-05-26 18:52 apn Status reviewed => tested
2014-05-30 12:59 apn Changeset attached => occt master ab58a62b
2014-05-30 12:59 apn Assigned To bugmaster => apn
2014-05-30 12:59 apn Status tested => verified
2014-05-30 12:59 apn Resolution open => fixed
2014-11-11 12:46 user533 Fixed in Version => 6.8.0
2014-11-11 12:52 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker